<nav class="nav wrapper" [style.visibility]="menuIsOpen ? 'hidden' : 'visible'">
  <app-logo></app-logo>
  <div class="desktop">
    <app-nav-links></app-nav-links>
  </div>
  <div class="mobile">
    <app-icon icon="hamburger" (click)="openMenu(true)"></app-icon>
  </div>
</nav>
<div
  class="mobile-menu"
  [ngClass]="{
    'open-mobile-menu': menuIsOpen,
    'close-mobile-menu': !menuIsOpen && hasClicked
  }"
>
  <div class="menu-wrapper">
    <div class="top">
      <header class="header">
        <app-logo></app-logo>
        <app-icon icon="close" (click)="openMenu(false)"></app-icon>
      </header>
      <app-nav-links
        [isLight]="true"
        [inMobileMenu]="true"
        gap="0"
      ></app-nav-links>
    </div>
    <div class="bottom">
      <app-social-icons></app-social-icons>
    </div>
  </div>
</div>
